http:
  routers:
    homeassistant-rtr:
      rule: "Host(`homeassistant.athaliapps.xyz`)"
      entryPoints:
        - websecure
      middlewares:
        - secured@docker
      service: homeassistant-svc
      tls:
        certResolver: myresolver

    immich-rtr:
      rule: "Host(`immich.athaliapps.xyz`) && !PathPrefix(`/api`)"
      entryPoints:
        - websecure
      middlewares:
        - secured@docker
      service: immich-svc
      tls:
        certResolver: myresolver

    immich-api-rtr:
      rule: "Host(`immich.athaliapps.xyz`) && PathPrefix(`/api`)"
      entryPoints:
        - websecure
      middlewares:
        - secured-no-oauth@docker
      service: immich-svc
      tls:
        certResolver: myresolver
        
  services:
    homeassistant-svc:
      loadBalancer:
        servers:
          - url: "http://192.168.14.243:8123"
    immich-svc:
      loadBalancer:
        servers:
          - url: "http://192.168.14.245:2283"